Assurés

Lister / rechercher les assurés

Liste paginée des assurés actifs — utiliser id comme insuredId.

GET
/provider/insureds

Authorization

bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER
AuthorizationBearer <token>

Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.

In: header

Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER

Query Parameters

page?integer
Default0
Formatint32
size?integer
Default10
Formatint32
filter[lastName]?string

Nom (contient).

filter[companyName]?string

Raison sociale (contient).

filter[clientNumber]?string

N° client (contient).

filter[nationalIdNumber]?string

N° pièce d'identité.

filter[mobilePhone]?string

Téléphone mobile (contient).

filter[email]?string

E-mail (contient).

filter[personType]?string

PHYSIQUE | MORALE | FLOTTE

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/insureds"
[
  {
    "id": "string",
    "clientNumber": "string",
    "personType": "PHYSIQUE",
    "civility": "MR",
    "lastName": "string",
    "firstNames": "string",
    "birthDate": "2022-03-10",
    "birthPlace": "string",
    "nationality": "string",
    "nationalIdNumber": "string",
    "drivingLicenseNumber": "string",
    "drivingLicenseDate": "2022-03-10",
    "companyName": "string",
    "legalForm": "string",
    "rccmNumber": "string",
    "taxNumber": "string",
    "legalRepresentative": "string",
    "address": "string",
    "postalCode": "string",
    "landlinePhone": "string",
    "mobilePhone": "string",
    "email": "string",
    "isActive": true
  }
]
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}